import nodeBuilder from './nodeBuilder';

export default class {
  constructor({ id, init }, level) {
    this.id = id;
    this.init = init;
    this.level = level;
  }

  explain() {
    const value = nodeBuilder(this.init, this.level).explain();
    const id = nodeBuilder(this.id, this.level).explain();
    return `${id}\n${value}`;
  }
}
