import VariableDeclaration from './VariableDeclaration';
import Literal from './Literal';
import ArrowFunctionExpression from './ArrowFunctionExpression';
import VariableDeclarator from './VariableDeclarator';
import BinaryExpression from './BinaryExpression';
import Identifier from './Identifier';
import IfStatement from './IfStatement';
import BlockStatement from './BlockStatement';
import ExpressionStatement from './ExpressionStatement';
import CallExpression from './CallExpression';

const types = {
  VariableDeclaration,
  Literal,
  ArrowFunctionExpression,
  VariableDeclarator,
  BinaryExpression,
  Identifier,
  IfStatement,
  BlockStatement,
  ExpressionStatement,
  CallExpression,
};

export default (node, level) => new types[node.type](node, level);
